Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1958867 - F35FailsToInstall: python3-aiohttp-socks
Summary: F35FailsToInstall: python3-aiohttp-socks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-aiohttp-socks
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1958895
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-05-10 10:42 UTC by Miro Hrončok
Modified: 2021-05-20 01:14 UTC (History)
2 users (show)

Fixed In Version: python-aiohttp-socks-0.6.0-1.fc34 python-aiohttp-socks-0.6.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-14 14:23:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-05-10 10:42:25 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-aiohttp-socks) Fails To Install in Fedora 35:

can't install python3-aiohttp-socks:
  - nothing provides python3.9dist(python-socks) >= 1.2.2 needed by python3-aiohttp-socks-0.6.0-1.fc35.noarch
  - nothing provides python3.9dist(python-socks[asyncio]) >= 1.2.2 needed by python3-aiohttp-socks-0.6.0-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-05-10 10:59:17 UTC
python3.9dist(python-socks) is a new package that got split out of this one:


https://github.com/romis2012/aiohttp-socks/commit/75ad26d8b7c9ea64bc38c5e4055ffd3b6c56eda7

Comment 2 Ankur Sinha (FranciscoD) 2021-05-10 11:14:31 UTC
Ugh. Thanks Miro. I'll package that up. Unpushed the updates for the time being.

Comment 3 Fedora Update System 2021-05-11 14:57:41 UTC
FEDORA-2021-b70cc246ad has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b70cc246ad

Comment 4 Fedora Update System 2021-05-11 14:57:42 UTC
FEDORA-2021-d07dc64d18 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d07dc64d18

Comment 5 Fedora Update System 2021-05-12 06:50:14 UTC
FEDORA-2021-b70cc246ad has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-b70cc246ad \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b70cc246ad

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-05-12 07:05:20 UTC
FEDORA-2021-d07dc64d18 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-d07dc64d18 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d07dc64d18

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Miro Hrončok 2021-05-14 14:23:37 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!

Comment 8 Fedora Update System 2021-05-20 01:11:16 UTC
FEDORA-2021-d07dc64d18 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-05-20 01:14:56 UTC
FEDORA-2021-b70cc246ad has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.